Create and start autopilot session
curl --request POST \
--url https://www.citedy.com/api/agent/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categories": [
"<string>"
],
"problems": [
"<string>"
],
"languages": [
"en"
],
"interval_minutes": 720,
"article_size": "mini",
"disable_competition": false
}
'import requests
url = "https://www.citedy.com/api/agent/session"
payload = {
"categories": ["<string>"],
"problems": ["<string>"],
"languages": ["en"],
"interval_minutes": 720,
"article_size": "mini",
"disable_competition": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
categories: ['<string>'],
problems: ['<string>'],
languages: ['en'],
interval_minutes: 720,
article_size: 'mini',
disable_competition: false
})
};
fetch('https://www.citedy.com/api/agent/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"categories": [
"<string>"
],
"languages": [
"<string>"
],
"interval_minutes": 123,
"article_size": "<string>",
"estimated_credits_per_article": 123,
"topic_catalog_size": 123,
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Autopilot Sessions
Create and start autopilot session
POST
/
api
/
agent
/
session
Create and start autopilot session
Authorizations
Bearer citedy_agent_* key
Body
application/json
Required array length:
1 - 5 elementsRequired string length:
1 - 100Maximum array length:
20Required string length:
1 - 500Required string length:
2 - 5Required range:
60 <= x <= 10080Available options:
mini, standard, full, pillar Response
Session started
⌘I
